/* Platform specific */

.login-steam { background-color: #075A8E; grid-area: l1; }
.login-steam span:after { background-color: #043f63; }

.login-xbox { background-color: #0F780F; grid-area: r1; }
.login-xbox span:after { background-color: #084408; }

.login-discord { background-color: #5662F6; grid-area: l2; }
.login-discord span:after { background-color: #3a41a5; }

/* General */

.alternate-login
{
    display: inline-block;
    width: 160px;
    height: 50px;
    line-height: 50px;
    position: relative;
    margin: auto;
    color: #fff;
    cursor: pointer;
    overflow: hidden;
    border-radius: 5px;
}
  
.alternate-login span
{
    font-family: sans-serif;
    font-weight: bold;
    letter-spacing: 0.1em;
    width: 75%;
    font-size: 14px;
    text-transform: uppercase;
    left: 0;
    -webkit-transition: all 0.25s cubic-bezier(0.31, -0.105, 0.43, 1.4);
    transition: all 0.25s cubic-bezier(0.31, -0.105, 0.43, 1.4);
}
  
.alternate-login span,
.alternate-login .icon
{
    display: block;
    height: 100%;
    text-align: center;
    position: absolute;
    top: 0;
}
  
.alternate-login .icon .fa
{
    font-size: 25px;
    line-height: 50px;
    -webkit-transition: all 0.25s cubic-bezier(0.31, -0.105, 0.43, 1.4), height 0.25s ease;
    transition: all 0.25s cubic-bezier(0.31, -0.105, 0.43, 1.4), height 0.25s ease;
}
  
.alternate-login .icon
{
    width: 25%;
    right: 0;
    -webkit-transition: all 0.25s cubic-bezier(0.31, -0.105, 0.43, 1.4);
    transition: all 0.25s cubic-bezier(0.31, -0.105, 0.43, 1.4);
}
  
.alternate-login span,
.alternate-login .icon
{
    display: block;
    height: 100%;
    text-align: center;
    position: absolute;
    top: 0;
}
  
.fa
{
    display: inline-block;
    font: normal normal normal 14px/1 AwesomeBrands;
    font-size: inherit;
    text-rendering: auto;
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
    transform: translate(0, 0);
}
  
.alternate-login span:after
{
    content: '';
    width: 2px;
    height: 70%;
    position: absolute;
    top: 15%;
    right: -1px;
}
  
.alternate-login.success span,
.alternate-login:hover span
{
    left: -72%;
    opacity: 0;
}
  
.alternate-login.success .icon,
.alternate-login:hover .icon
{
    width: 100%;
}
  
.alternate-login.success .icon .fa,
.alternate-login:hover .icon .fa
{
    font-size: 45px;
}